# Generated by rust2rpm
%bcond_without check
%global debug_package %{nil}

%global crate object

Name:           rust-%{crate}
Version:        0.9.0
Release:        2%{?dist}
Summary:        Unified interface for parsing object file formats

License:        ASL 2.0 or MIT
URL:            https://crates.io/crates/object
Source0:        https://crates.io/api/v1/crates/%{crate}/%{version}/download#/%{crate}-%{version}.crate
# Initial patched metadata
# * parity-wasm is not packaged yet
# * Bump goblin to 0.0.17, https://github.com/gimli-rs/object/pull/63
Patch0:         object-0.9.0-fix-metadata.diff
# Make it work with new goblin
Patch0001:      0001-deps-update-goblin-to-0.0.17.patch

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
# [dependencies]
BuildRequires:  (crate(flate2) >= 1.0.0 with crate(flate2) < 2.0.0)
BuildRequires:  ((crate(goblin) >= 0.0.17 with crate(goblin) < 0.0.18) with crate(goblin/endian_fd) with crate(goblin/elf32) with crate(goblin/elf64) with crate(goblin/mach32) with crate(goblin/mach64) with crate(goblin/pe32) with crate(goblin/pe64) with crate(goblin/archive))
BuildRequires:  (crate(scroll) >= 0.9.0 with crate(scroll) < 0.10.0)
BuildRequires:  (crate(uuid) >= 0.6.0 with crate(uuid) < 0.7.0)
%if %{with check}
# [dev-dependencies]
BuildRequires:  (crate(memmap) >= 0.6.0 with crate(memmap) < 0.7.0)
%endif

%description
%{summary}.

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel
A unified interface for parsing object file formats.

This package contains library source intended for building other packages
which use %{crate} from crates.io.

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%files          devel
%license LICENSE-APACHE LICENSE-MIT
%doc README.md
%{cargo_registry}/%{crate}-%{version}/
%exclude %{cargo_registry}/%{crate}-%{version}/coverage

%changelog
* Sat Jul 28 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.0-2
- Bump goblin to 0.0.17

* Sat Jul 28 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.0-1
- Update to 0.9.0

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Mon Apr 23 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.7.0-5
- Bump goblin to 0.0.15

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 18 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.7.0-3
- Bump goblin to 0.0.14

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.7.0-2
- Rebuild for rust-packaging v5

* Mon Jan 01 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.7.0-1
- Update to 0.7.0

* Sun Dec 03 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.0-1
- Initial package
